View Issue Details

IDProjectCategoryView StatusLast Update
0001472OpenMPTPlayback Compatibilitypublic2021-06-22 18:26
Reporterdeus-ex Assigned ToSaga Musix  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product VersionOpenMPT 1.29.10.00 / libopenmpt 0.5.9 (upgrade first) 
Target VersionOpenMPT 1.29.11.00 / libopenmpt 0.5.10 (current stable)Fixed in VersionOpenMPT 1.29.11.00 / libopenmpt 0.5.10 (current stable) 
Summary0001472: ProTracker sample loop length quirk should not be applied to Soul-O-M.mod
Description

Playing back the module Soul-O-M.mod by Purple Motion I noticed some playback inaccuracies.

Order 0, Channel 2, Row 28: The recreation of the sample on channel two sounds completely off.
Order 7 onwards, Channel 2, Row 30: Replay speed of sample is too high, or perhaps is triggered too often.

Steps To Reproduce
  1. Load the module Soul-O-M.mod into OpenMPT
  2. Playback the module with a focus on the reported positions
Additional Information

For playback reference, I used Schism Tracker 20190801 64-bit (released 2019-08-05).

TagsNo tags attached.
Has the bug occurred in previous versions?I also tried with an old version of OpenMPT that I still had available, v1.28.00.15.100004 from 25.03.2018. Same playback issues there.
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2021-06-12 20:30

administrator   ~0004803

The problem here is that this module contains several samples with incorrect loop information (the loop end is way past the sample length). OpenMPT treats this similar to how ProTracker does in M.K. modules because there are other modules (e.g. MOD.shorttune2) which exploit this bug, so just trimming the loop for Soul-O-Matic would break those other modules. Schism Tracker doesn't implement this ProTracker quirk so the module sound "correct" there. I'll somehow have to find a way that would allow both quirks to be emulated correctly.

Saga Musix

Saga Musix

2021-06-12 20:48

administrator   ~0004804

r15355 fixes this by not applying this quirk to modules that have a default volume of 64 in empty sample slots (which is one way of fingerprinting Scream Tracker 3 and some other trackers that are not ProTracker).

Issue History

Date Modified Username Field Change
2021-06-12 20:07 deus-ex New Issue
2021-06-12 20:28 Saga Musix Assigned To => Saga Musix
2021-06-12 20:28 Saga Musix Status new => assigned
2021-06-12 20:30 Saga Musix Note Added: 0004803
2021-06-12 20:48 Saga Musix Note Added: 0004804
2021-06-12 20:48 Saga Musix Status assigned => resolved
2021-06-12 20:48 Saga Musix Resolution open => fixed
2021-06-12 20:48 Saga Musix Fixed in Version => OpenMPT 1.29.11.00 / libopenmpt 0.5.10 (current stable)
2021-06-12 20:48 Saga Musix Target Version => OpenMPT 1.29.11.00 / libopenmpt 0.5.10 (current stable)
2021-06-22 18:26 Saga Musix Summary MOD playpack issue => ProTracker sample loop length quirk should not be applied to Soul-O-M.mod